com.rscja.deviceapi.interfaces

## Interface IUHFURAxExtend

- All Known Subinterfaces:
    IRFIDWithUHFA4NetWork, IRFIDWithUHFA4RS232, IRFIDWithUHFA8NetWork, IRFIDWithUHFA8RS232, IUHFA4, IUHFA8
  All Known Implementing Classes:
    RFIDWithUHFA4NetWork, RFIDWithUHFA4NetWork_qcom, RFIDWithUHFA4RS232, RFIDWithUHFA4RS232_qcom, RFIDWithUHFA8NetWork, RFIDWithUHFA8NetWork_qcom, RFIDWithUHFA8RS232, RFIDWithUHFA8RS232_qcom, UHFCSYX_A4NetWork

      public interface IUHFURAxExtend

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `closeWifi()`
    `boolean` | `disableBeep()`
    `boolean` | `enableBeep()`
    `java.lang.String` | `getAndroidDeviceHardwareVersion()`
    `java.lang.String` | `getEthernetIpConfig()`
    `ReaderIPEntity` | `getReaderCurrentIp()`
    `java.lang.String` | `getTcpServiceVersion()`
    `java.lang.String` | `getWifiInfo()`
    `java.lang.String` | `getWifiIpConfig()`
    `boolean` | `isEnableBeep()`
    `boolean` | `openWifi()`
    `void` | `outputOnAndOff(java.util.List<GPOEntity> list)`
    `void` | `readyUpgradeTcpService()`
    `boolean` | `rebootDevice()`
    `void` | `setBuzzerOff()`
    `void` | `setBuzzerOn(int time)` 单位:毫秒,time:100-65535
    `boolean` | `setEthernetConfigInfo(ReaderIPEntity ipconfig)`
    `boolean` | `setEthernetIpDynamicAssign()`
    `void` | `setGPIStateCallback(IGPIStateCallback uhfGPIOStateCallback)`
    `void` | `setGPIStateReverse(boolean isReverse)`
    `void` | `setInventoryCallback(IUHFInventoryCallback inventoryCallback)`
    `boolean` | `setTcpServicePort(int port)`
    `void` | `setUpgradeProgress(IUpgradeProgress iUpgradeProgress)`
    `boolean` | `setUpgradeTcpServiceData(byte[] data)`
    `boolean` | `setWifiConfigInfo(WifiConfig wificonfig)`
    `boolean` | `startUpgradeTcpService()` 升级TCP服务

- - ### Method Detail

    - #### outputOnAndOff

          void outputOnAndOff(java.util.List<GPOEntity> list)

    - #### setGPIStateReverse

          void setGPIStateReverse(boolean isReverse)

    - #### getTcpServiceVersion

          java.lang.String getTcpServiceVersion()

    - #### setEthernetConfigInfo

          boolean setEthernetConfigInfo(ReaderIPEntity ipconfig)

    - #### setWifiConfigInfo

          boolean setWifiConfigInfo(WifiConfig wificonfig)

    - #### setTcpServicePort

          boolean setTcpServicePort(int port)

    - #### getWifiInfo

          java.lang.String getWifiInfo()

    - #### openWifi

          boolean openWifi()

    - #### closeWifi

          boolean closeWifi()

    - #### getAndroidDeviceHardwareVersion

          java.lang.String getAndroidDeviceHardwareVersion()

    - #### readyUpgradeTcpService

          void readyUpgradeTcpService()

    - #### setUpgradeTcpServiceData

          boolean setUpgradeTcpServiceData(byte[] data)

    - #### startUpgradeTcpService

          boolean startUpgradeTcpService()

      升级TCP服务

    - #### setInventoryCallback

          void setInventoryCallback(IUHFInventoryCallback inventoryCallback)

    - #### setUpgradeProgress

          void setUpgradeProgress(IUpgradeProgress iUpgradeProgress)

    - #### setGPIStateCallback

          void setGPIStateCallback(IGPIStateCallback uhfGPIOStateCallback)

    - #### getEthernetIpConfig

          java.lang.String getEthernetIpConfig()

    - #### getWifiIpConfig

          java.lang.String getWifiIpConfig()

    - #### rebootDevice

          boolean rebootDevice()

    - #### setEthernetIpDynamicAssign

          boolean setEthernetIpDynamicAssign()

    - #### getReaderCurrentIp

          ReaderIPEntity getReaderCurrentIp()

    - #### setBuzzerOff

          void setBuzzerOff()

    - #### setBuzzerOn

          void setBuzzerOn(int time)

      单位:毫秒,time:100-65535

    - #### disableBeep

          boolean disableBeep()

    - #### isEnableBeep

          boolean isEnableBeep()

    - #### enableBeep

          boolean enableBeep()